CREATE TABLE fv_treasury_confirm_all (
    BU_ID                           NUMBER(18, 0)     NOT NULL,
    NUMBER_OF_PAYMENTS              NUMBER(18, 0)     NOT NULL,
    REVISION_NUM                    NUMBER(18, 0)     NOT NULL,
    TREASURY_CONFIRMATION_ID        NUMBER(18, 0) ,
    PAYMENT_ACCOUNTED_CODE          VARCHAR2(120)     NOT NULL,
    PAYMENT_INSTRUCTION_ID          NUMBER(18, 0)     NOT NULL,
    TREASURY_CONFIRM_DATE           DATE          ,
    TREASURY_AMOUNT                 NUMBER            NOT NULL,
    RANGE_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    FROM_CHECK_NUM                  NUMBER(18, 0) ,
    TO_CHECK_NUM                    NUMBER(18, 0) ,
    STATUS_CODE                     VARCHAR2(120)     NOT NULL,
    CONFIRMED_EVENT_ID              NUMBER(18, 0) ,
    BACKOUT_EVENT_ID                NUMBER(18, 0) ,
    CONFIRMED_ACCOUNTED_FLAG        VARCHAR2(4)   ,
    BACKOUT_ACCOUNTED_FLAG          VARCHAR2(4)   ,
    CONTROL_NUMBER                  VARCHAR2(28)  ,
    SUBMITTED_DATE                  TIMESTAMP(6)  ,
    FEDERAL_PAYMENT_TYPE_CODE       VARCHAR2(120) ,
    PAYMENT_GROUP_CODE              VARCHAR2(120) ,
    PAYMENT_METHOD_CODE             VARCHAR2(120) ,
    AGENCY_LOCATION_CODE            VARCHAR2(120) ,
    PAYMENT_PROCESS_REQUEST_NAME    VARCHAR2(1020),
    SCHEDULE_DATE                   DATE          ,
    PAYMENT_DATE                    DATE          ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    BU_ID                           NUMBER(18, 0)     NOT NULL,
    TREASURY_CONFIRMATION_ID        NUMBER(18, 0) ,
    PAYMENT_INSTRUCTION_ID          NUMBER(18, 0)     NOT NULL,
    TREASURY_CONFIRM_DATE           DATE          ,
    TREASURY_AMOUNT                 NUMBER            NOT NULL,
    RANGE_TYPE_CODE                 VARCHAR2(120)     NOT NULL,
    FROM_CHECK_NUM                  NUMBER(18, 0) ,
    TO_CHECK_NUM                    NUMBER(18, 0) ,
    STATUS_CODE                     VARCHAR2(120)     NOT NULL,
    CONFIRMED_EVENT_ID              NUMBER(18, 0) ,
    BACKOUT_EVENT_ID                NUMBER(18, 0) ,
    CONFIRMED_ACCOUNTED_FLAG        VARCHAR2(4)   ,
    BACKOUT_ACCOUNTED_FLAG          VARCHAR2(4)   ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    NUMBER_OF_PAYMENTS              NUMBER(18, 0)     NOT NULL,
    REVISION_NUM                    NUMBER(18, 0)     NOT NULL,
    PAYMENT_ACCOUNTED_CODE          VARCHAR2(120)     NOT NULL,
    CONTROL_NUMBER                  VARCHAR2(28)  ,
    SUBMITTED_DATE                  TIMESTAMP(6)  ,
    FEDERAL_PAYMENT_TYPE_CODE       VARCHAR2(120) ,
    PAYMENT_GROUP_CODE              VARCHAR2(120) ,
    PAYMENT_METHOD_CODE             VARCHAR2(120) ,
    AGENCY_LOCATION_CODE            VARCHAR2(120) ,
    PAYMENT_PROCESS_REQUEST_NAME    VARCHAR2(1020),
    SCHEDULE_DATE                   DATE          ,
    PAYMENT_DATE                    DATE          ,
    CONSTRAINT pk_fv_treasury_confirm_all PRIMARY KEY (TREASURY_CONFIRMATION_ID, TREASURY_CONFIRMATION_ID)
);
